Doomsday Engine - Bug #1939

[Doom] Screen wipe wrong when loading game during InFine
2015-01-11 23:00 - vermil

Status: Closed Start date: 2015-01-11
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.15

Description

When one loads a save game while viewing post map infine (such as the ending of E1M8), the melting type screen wipe erroneously
uses the first tic of the loading game, rather than the infine.

Associated revisions

Revision 5bcbid1a - 2015-03-15 18:07 - skyjake

Fixed|UIl|Client: Using the correct frame for busy transitions

Previously there was an arbitrary 0.5 second threshold for determining
if the captured busy frame was still fine for a transition (checked when
a new request for a busy frame occurred).

This arbitrary threshold was removed and the busy frame is only
discarded when the regular game is running without a busy transition.

Also did some cleanup: removing obsolete/commented code.
Revision d09976a0 - 2015-03-15 18:09 - skyjake

Fixed|UIl|Client: Using the correct frame for busy transitions

Previously there was an arbitrary 0.5 second threshold for determining
if the captured busy frame was still fine for a transition (checked when

a new request for a busy frame occurred).

This arbitrary threshold was removed and the busy frame is only
discarded when the regular game is running without a busy transition.

Also did some cleanup: removing obsolete/commented code.
History

#1 - 2015-01-13 13:59 - skyjake
- Tags changed from InFine, screenwipe to InFine, Doom, Ul

- Category set to Defect

#2 - 2015-01-16 12:25 - skyjake

- Subject changed from Screenwipe wrong when loading game during infine to [Doom] Screen wipe wrong when loading game during infine

#3 - 2015-01-16 12:25 - skyjake

- Subject changed from [Doom] Screen wipe wrong when loading game during infine to [Doom] Screen wipe wrong when loading game during InFine

#4 - 2015-03-07 03:13 - danij

- Target version setto 1.15

#5 - 2015-03-15 18:08 - skyjake
- Status changed from New to Resolved

- Assignee set to skyjake
- % Done changed from 0 to 100

The problem was that the busy frame captured before the savegame loading begun was discarded too early.

#6 - 2015-03-26 11:52 - skyjake

- Status changed from Resolved to Closed
